Subject: Re: [netmod] I-D Action: draft-ietf-netmod-syslog-model-19.txt

From: Kent Watsen <[email-masked]>
Date: Wed, 7 Feb 2018 00:49:50 +0000

Hi Clyde,

The chairs were discussing the HISTORIC reference to RFC 6587.   As we understand it, RFC 6587 was actually originally published as a HISTORIC document to accommodate Security area concerns.  Apparently, Benoit was AD at the time, so he may recall.  The IETF took special effort to publish RFC 6587 anyway, likely due to TCP being in common use.  Anyway, we're wondering, must this document have a normative reference to RFC 6587?  - could it be made Informational instead?  Is understanding RFC 6587 necessary to implement the syslog draft?

We also discussed the normative references to the keystore-and-friends drafts.   As it stands, my shepherd write-up is going to have to call these out as unstable dependencies.   I know that it was discussed before, but would you have any appetite to revisit having TLS in the first version of this module?  Perhaps it could be picked it up in a bis?

When can you post an update?  Would you rather us appoint an Editor to help get it done sooner?  I think that we've been in this post-LC phase for nearly four months now...

Kent // shepherd

===== original message =====

Kent

My request for a reference for Posix hs been fixed in -19.

Tom Petch

----- Original Message -----
From: "Kent Watsen" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, January 16, 2018 4:59 PM

> Clyde,
>
> This draft still isn't passing idnits.  I provided the link to idnits
previously, but here it is again: https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_tools_idnits&d=DwICAw&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vB8Genu4I7nOu9B7lKz5mWWYCBuuHwmgn0HIzePAk6Q&s=HHa4Kg7ZoXOz6uC9VkiT_-jMeGdW9Kbfo1CydiT4bM8&e=.
Below is the idnits output for -19 with inlined comments.
>
> PS: I didn't also checked the other issues we're tracking, but will
when we get past these idnits issues.
>
> Kent
>
>
> ===== START =====
> idnits 2.15.00
>
> /tmp/draft-ietf-netmod-syslog-model-19.txt:
>
>   Checking boilerplate required by RFC 5378 and the IETF Trust (see
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__trustee.ietf.org_license-2Dinfo&d=DwICAw&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vB8Genu4I7nOu9B7lKz5mWWYCBuuHwmgn0HIzePAk6Q&s=L95k8rDeNKaSZXkCpqx2hwzmGDw8trmzmYOT0SLU-fQ&e=):
>   --------------------------------------------------------------------
--------
>
>      No issues found here.
>
>   Checking nits according to
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_id-2Dinfo_1id-2Dguidelines.txt&d=DwICAw&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vB8Genu4I7nOu9B7lKz5mWWYCBuuHwmgn0HIzePAk6Q&s=wrmo4jVcBb7-_LFH7ty-TOpG80tfe3pWbfCSFZaT6eY&e=:
>   --------------------------------------------------------------------
--------
>
>      No issues found here.
>
>   Checking nits according to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_id-2Dinfo_checklist&d=DwICAw&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vB8Genu4I7nOu9B7lKz5mWWYCBuuHwmgn0HIzePAk6Q&s=_seSaCKfzxYeb3b1tfX2RqUk7CKbOsRr3pRVJrQ8lEc&e= :
>   --------------------------------------------------------------------
--------
>
>   ** There is 1 instance of too long lines in the document, the
longest one
>      being 1 character in excess of 72.
>
> Kent: this isn't a big deal IMO, but if it's easy to fix, it saves the
RFC editor a step later on.
>
>
>   Miscellaneous warnings:
>   --------------------------------------------------------------------
--------
>
>   == Line 352 has weird spacing: '...gorithm    ide...'
>
> Kent: this is fine.  it is in a tree diagram.
>
>
>   == The document seems to lack the recommended RFC 2119 boilerplate,
even if
>      it appears to use RFC 2119 keywords -- however, there's a
paragraph with
>      a matching beginning. Boilerplate error?
>
>      (The document does seem to have the reference to RFC 2119 which
the
>      ID-Checklist requires).
>
> Kent: I can't find the error.  Looking at the xml, it is verbatim what
I have in the zerotouch draft.  my guess is that this is a tooling error
and we should ignore it.
>
>
>   -- The document date (January 12, 2018) is 4 days in the past.  Is
this
>      intentional?
>
> Kent: this is fine, it is intentional.
>
>
>   Checking references for intended status: Proposed Standard
>   --------------------------------------------------------------------
--------
>
>      (See RFCs 3967 and 4897 for information about using normative
references
>      to lower-maturity documents in RFCs)
>
>   == Unused Reference: 'I-D.ietf-netconf-keystore' is defined on line
1386,
>      but no explicit reference was found in the text
>
> Kent: looking at the XML, I see that the entire paragraph uses '[' and
']' as opposed to <xref .../>.  Please fix this.
>
>
>   == Unused Reference: 'RFC7895' is defined on line 1456, but no
explicit
>      reference was found in the text
>
> Kent: looking at the XML, I see two instances of an unwanted "/&gt;"
string.  For instance: <xref target="RFC7895"/>/&gt;  Please fix this.
>
>
>   ** Downref: Normative reference to an Historic RFC: RFC 6587
>
> Kent: hmmm, what's going on here?  This YANG module is providing an
ability to configure the "tcp" transport, even though the IESG made that
ability historic in 2012 (see IESG Note below).  Searching online, it
looks like Cisco supports this, but Juniper does not.  What about other
vendors, is it widely supported?  Was this discussed in the WG?
Answering my own question, searching my local mailbox, I don't see this
ever being discussed before, other than Martin questioning if it was a
good idea in Mar 2016 (no response).  Please start a thread on the list
to get WG opinion if it's okay for the draft to proceed as is or not.
Here's the IESG Note from RFC 6587:
>
>    IESG Note
>
>    The IESG does not recommend implementing or deploying syslog over
>    plain tcp, which is described in this document, because it lacks
the
>    ability to enable strong security [RFC3365].
>
>    Implementation of the TLS transport [RFC5425] is recommended so
that
>    appropriate security features are available to operators who want
to
>    deploy secure syslog.  Similarly, those security features can be
>    turned off for those who do not want them.
>
>
>
>
>
>      Summary: 2 errors (**), 0 flaws (~~), 4 warnings (==), 1 comment
(--).
>
>      Run idnits with the --verbose option for more detailed
information about
>      the items above.
> ===== END =====
>
> Thanks,
> Kent // shepherd
>
>
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwICAw&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vB8Genu4I7nOu9B7lKz5mWWYCBuuHwmgn0HIzePAk6Q&s=CoIDcNyLYh6-N6JmL2uSR2Mm2Uh1kAOOpYP8YDb0mmc&e=

---

From: "Clyde Wildes (cwildes)" <[email-masked]>
Date: Wed, 7 Feb 2018 20:27:53 +0000

Kent,

I will remove TLS if that is the preference of the chair and the working group.

RFC 6587 can be made Informational.

Working with an editor might help to avoid additional revisions.

Unless I hear otherwise I will post another update on Friday with TLS, and its references, removed as well as the change to make RFC 6587 informational.

Thanks,

Clyde

On 2/6/18, 4:49 PM, "Kent Watsen" <[email-masked]> wrote:

    Hi Clyde,

    
    
    Kent // shepherd

    Kent

    Tom Petch
    
    ----- Original Message -----
    From: "Kent Watsen" <[email-masked]>
    To: <[email-masked]>
    Sent: Tuesday, January 16, 2018 4:59 PM
    
    --------
    --------
    --------
    longest one
    --------
    even if
    paragraph with
    the
    this
    --------
    references
    1386,
    explicit
    the
    that
    to
    (--).
    information about

---

From: Kent Watsen <[email-masked]>
Date: Fri, 9 Feb 2018 04:01:47 +0000

Hi Clyde.

> I will remove TLS if that is the preference of the chair and the working group.

We'd have to ask the WG, since it's not a chair or shepherd decision.  If you're okay leaving it in, and dealing with the fallout later, and no one objects, then I'm fine leaving TLS in.

> RFC 6587 can be made Informational.

Okay, but you have never mentioned if you know if anyone (Cisco?) is using it?  Juniper doesn't.   My first preference is to remove TCP support altogether.

> Working with an editor might help to avoid additional revisions.

Actually, it would be more like replacing you as the Editor.  You could stay on as an Author.  The point is, we need to have more timely responses...

> Unless I hear otherwise I will post another update on Friday with TLS, and its references, removed as well as the change to make RFC 6587 informational.

You can make those changes, but most importantly, you need to make sure it passes idnits.  BTW, I was wrong before, there is an error in the 2119 boilerplate (idnits verbose output shows it)

Kent

====== original message =====

    Hi Clyde,

    
    
    Kent // shepherd

    Kent

    Tom Petch
    
    ----- Original Message -----
    From: "Kent Watsen" <[email-masked]>
    To: <[email-masked]>
    Sent: Tuesday, January 16, 2018 4:59 PM
    
    --------
    --------
    --------
    longest one
    --------
    even if
    paragraph with
    the
    this
    --------
    references
    1386,
    explicit
    the
    that
    to
    (--).
    information about